import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

/* App Alarm Management = 앱 알림 API */
export const API_URL_ALARM = {
  appAlarmMark: () => {
    // POST: 가맹점관리자 앱 알림 수신 정보 업데이트 API
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/app/alarm/mark`;
  },
  appAlarmList: () => {
    // POST: 가맹점관리자 앱 알립 발송 목록 조회 API
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/app/alarm/list`;
  },
  appAlarmFind: () => {
    // POST: 가맹점관리자 앱 알림 수신 여부 조회 API
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/app/alarm/find`;
  },
  appAlarmConsent: () => {
    // POST: 가맹점관리자 앱 알림 동의/미동의 저장 API
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/app/alarm/consent`;
  },
  appAlarmUnreadCount: () => {
    // POST: 안읽은 앱 알림 갯수 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/app/alarm/unread-count`;
  }
};